aboutsummaryrefslogtreecommitdiff
path: root/sysdeps/unix/common
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2002-10-18 05:05:55 +0000
committerUlrich Drepper <drepper@redhat.com>2002-10-18 05:05:55 +0000
commit8dd8681f4a07d49d6bc01aff37b64003e1b7df0d (patch)
tree4cb0c75c591eb5a1caf493bd8f07c9846a41646e /sysdeps/unix/common
parent126960c5c2292074062585bace76b9d4fbca959d (diff)
downloadglibc-8dd8681f4a07d49d6bc01aff37b64003e1b7df0d.tar
glibc-8dd8681f4a07d49d6bc01aff37b64003e1b7df0d.tar.gz
glibc-8dd8681f4a07d49d6bc01aff37b64003e1b7df0d.tar.bz2
glibc-8dd8681f4a07d49d6bc01aff37b64003e1b7df0d.zip
Update.
* sysdeps/powerpc/soft-fp/soft-supp.h: New file.
Diffstat (limited to 'sysdeps/unix/common')
-rwxr-xr-xsysdeps/unix/common/configure177
1 files changed, 121 insertions, 56 deletions
diff --git a/sysdeps/unix/common/configure b/sysdeps/unix/common/configure
index acd4ef23fe..3c1f7f65ae 100755
--- a/sysdeps/unix/common/configure
+++ b/sysdeps/unix/common/configure
@@ -1,105 +1,170 @@
-
+#! /bin/sh
+# This file is generated from configure.in by Autoconf. DO NOT EDIT!
+
+
if test -z "$inhibit_glue"; then
# Find out what this system calls `sys_siglist'.
-echo $ac_n "checking for sys_siglist""... $ac_c" 1>&6
-echo "configure:7: checking for sys_siglist" >&5
-if eval "test \"`echo '$''{'ac_cv_check_symbol_sys_siglist'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&6
+
+echo "$as_me:$LINENO: checking for sys_siglist" >&5
+echo $ECHO_N "checking for sys_siglist... $ECHO_C" >&6
+if test "${ac_cv_check_symbol_sys_siglist+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
else
- cat > conftest.$ac_ext <<EOF
-#line 12 "configure"
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
#include "confdefs.h"
-int main() {
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
extern char *sys_siglist[]; puts(*sys_siglist);
-; return 0; }
-EOF
-if { (eval echo configure:19: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
- rm -rf conftest*
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
ac_cv_check_symbol_sys_siglist=yes
else
- echo "configure: failed program was:" >&5
- cat conftest.$ac_ext >&5
- rm -rf conftest*
- ac_cv_check_symbol_sys_siglist=no
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_cv_check_symbol_sys_siglist=no
fi
-rm -f conftest*
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
if test "$ac_cv_check_symbol_sys_siglist" = yes; then
ac_tr_symbol=`echo sys_siglist | tr '[a-z]' '[A-Z]'`
- cat >> confdefs.h <<EOF
+ cat >>confdefs.h <<_ACEOF
#define HAVE_${ac_tr_symbol} 1
-EOF
+_ACEOF
fi
-echo "$ac_t""$ac_cv_check_symbol_sys_siglist" 1>&6
-echo $ac_n "checking for _sys_siglist""... $ac_c" 1>&6
-echo "configure:40: checking for _sys_siglist" >&5
-if eval "test \"`echo '$''{'ac_cv_check_symbol__sys_siglist'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&6
+echo "$as_me:$LINENO: result: $ac_cv_check_symbol_sys_siglist" >&5
+echo "${ECHO_T}$ac_cv_check_symbol_sys_siglist" >&6
+echo "$as_me:$LINENO: checking for _sys_siglist" >&5
+echo $ECHO_N "checking for _sys_siglist... $ECHO_C" >&6
+if test "${ac_cv_check_symbol__sys_siglist+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
else
- cat > conftest.$ac_ext <<EOF
-#line 45 "configure"
+ cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
#include "confdefs.h"
-int main() {
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
extern char *_sys_siglist[]; puts(*_sys_siglist);
-; return 0; }
-EOF
-if { (eval echo configure:52: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
- rm -rf conftest*
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
ac_cv_check_symbol__sys_siglist=yes
else
- echo "configure: failed program was:" >&5
- cat conftest.$ac_ext >&5
- rm -rf conftest*
- ac_cv_check_symbol__sys_siglist=no
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_cv_check_symbol__sys_siglist=no
fi
-rm -f conftest*
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
fi
if test "$ac_cv_check_symbol__sys_siglist" = yes; then
ac_tr_symbol=`echo _sys_siglist | tr '[a-z]' '[A-Z]'`
- cat >> confdefs.h <<EOF
+ cat >>confdefs.h <<_ACEOF
#define HAVE_${ac_tr_symbol} 1
-EOF
+_ACEOF
fi
-echo "$ac_t""$ac_cv_check_symbol__sys_siglist" 1>&6
+echo "$as_me:$LINENO: result: $ac_cv_check_symbol__sys_siglist" >&5
+echo "${ECHO_T}$ac_cv_check_symbol__sys_siglist" >&6
# Find out the name of the table the system's <ctype.h> uses for character
# classification. This is used by sysdeps/unix/common/glue-ctype.c.
-echo $ac_n "checking ctype array name for glue""... $ac_c" 1>&6
-echo "configure:76: checking ctype array name for glue" >&5
-if eval "test \"`echo '$''{'libc_cv_ctype_glue'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&6
+echo "$as_me:$LINENO: checking ctype array name for glue" >&5
+echo $ECHO_N "checking ctype array name for glue... $ECHO_C" >&6
+if test "${libc_cv_ctype_glue+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
else
for ctype in _ctype_ __ctype_ __ctype _ctype__ _ctype _locp; do
-cat > conftest.$ac_ext <<EOF
-#line 82 "configure"
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
#include "confdefs.h"
#include <ctype.h>
-int main() {
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
$ctype[13];
-; return 0; }
-EOF
-if { (eval echo configure:89: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
- rm -rf conftest*
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
libc_cv_ctype_glue="$ctype"; break
else
- echo "configure: failed program was:" >&5
- cat conftest.$ac_ext >&5
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
fi
-rm -f conftest*
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
done
fi
-echo "$ac_t""$libc_cv_ctype_glue" 1>&6
-cat >> confdefs.h <<EOF
+echo "$as_me:$LINENO: result: $libc_cv_ctype_glue" >&5
+echo "${ECHO_T}$libc_cv_ctype_glue" >&6
+cat >>confdefs.h <<_ACEOF
#define HAVE_`echo $libc_cv_ctype_glue | tr 'a-z' 'A-Z'` 1
-EOF
+_ACEOF
fi